Package com.sun.jna.platform.win32.COM.tlb.imp

# Class TlbPropertyGet

java.lang.Object
com.sun.jna.platform.win32.COM.tlb.imp.TlbBase
com.sun.jna.platform.win32.COM.tlb.imp.TlbAbstractMethod
com.sun.jna.platform.win32.COM.tlb.imp.TlbPropertyGet

All Implemented Interfaces:
  `Variant`

public class TlbPropertyGet extends TlbAbstractMethod
The Class TlbPropertyGet.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.Variant

`Variant.VARIANT, Variant.VariantArg`

## Field Summary

### Fields inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbAbstractMethod

`docStr, memberid, methodName, methodparams, methodvariables, paramCount, returnType, typeInfoDoc, vtableId`

### Fields inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

`bindingMode, classBuffer, content, CR, CRCR, filename, IDISPATCH_METHODS, index, IUNKNOWN_METHODS, name, TAB, TABTAB, templateBuffer, typeInfoUtil, typeLibUtil`

### Fields inherited from interface com.sun.jna.platform.win32.Variant

`VARIANT_FALSE, VARIANT_TRUE, VT_ARRAY, VT_BLOB, VT_BLOB_OBJECT, VT_BOOL, VT_BSTR, VT_BSTR_BLOB, VT_BYREF, VT_CARRAY, VT_CF, VT_CLSID, VT_CY, VT_DATE, VT_DECIMAL, VT_DISPATCH, VT_EMPTY, VT_ERROR, VT_FILETIME, VT_HRESULT, VT_I1, VT_I2, VT_I4, VT_I8, VT_ILLEGAL, VT_ILLEGALMASKED, VT_INT, VT_INT_PTR, VT_LPSTR, VT_LPWSTR, VT_NULL, VT_PTR, VT_R4, VT_R8, VT_RECORD, VT_RESERVED, VT_SAFEARRAY, VT_STORAGE, VT_STORED_OBJECT, VT_STREAM, VT_STREAMED_OBJECT, VT_TYPEMASK, VT_UI1, VT_UI2, VT_UI4, VT_UI8, VT_UINT, VT_UINT_PTR, VT_UNKNOWN, VT_USERDEFINED, VT_VARIANT, VT_VECTOR, VT_VERSIONED_STREAM, VT_VOID`

## Constructor Summary

Constructors
Constructor
Description
`TlbPropertyGet(int count, int index, TypeLibUtil typeLibUtil, OaIdl.FUNCDESC funcDesc, TypeInfoUtil typeInfoUtil)`
Instantiates a new tlb property get.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getClassTemplate()`
Gets the class template.

### Methods inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbAbstractMethod

`getDocStr, getMethodName, getType, getType, getType, getTypeInfoDoc, getUserdefinedType, getVarType, replaceJavaKeyword`

### Methods inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

`createClassName, createContent, createPackageName, getClassBuffer, getFilename, getName, isDispIdMode, isReservedMethod, isVTableMode, log, logError, logInfo, readTemplateFile, replaceVariable, setFilename, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TlbPropertyGet

public TlbPropertyGet(int count, int index, TypeLibUtil typeLibUtil, OaIdl.FUNCDESC funcDesc, TypeInfoUtil typeInfoUtil)
Instantiates a new tlb property get.

Parameters:
  `index` - the index
  `typeLibUtil` - the type lib util
  `funcDesc` - the func desc
  `typeInfoUtil` - the type info util

## Method Details

### getClassTemplate

protected String getClassTemplate()
Description copied from class: `TlbBase`
Gets the class template.

Specified by:
  `getClassTemplate` in class `TlbBase`
Returns:
  the class template